ameofs <- function(fname="air.sig995.an.mean.nc",y.rng=c(-70,80)) {
   v.nam <- switch(fname,
                  "air.2x2.1200.an.anom.comb.nc"="air",
                  "prmsl.an.mean.nc"="prmsl",
                  "air.sig995.an.mean.nc"="air",
                  "slp.anmean.nc"="slp")
   t2m <- retrieve.nc(fname,v.nam=v.nam,
                      y.rng=y.rng,silent=TRUE,l.scal=FALSE)

   eof <- EOF(t2m,neofs=40)
   invisible(eof)
}


x1 <- retrieve.nc("air.sig995.an.mean.nc",v.nam="air",silent=TRUE,l.scal=FALSE)
x2 <- retrieve.nc("air.2x2.1200.an.anom.comb.nc",v.nam="air",silent=TRUE,l.scal=FALSE)
X <- catFields(x1,x2)
eof.t2mcomb <- EOF(X,neofs=40)
attr(eof.t2mcomb,'src') <- c("NOAA-CIRES 20th Century Reanalysis version 2 Monthly Averages",
                         "GISS Surface Temperature Analysis (GISTEMP)")
attr(eof.t2mcomb,'param') <- c("Monthly Air Temperature at sigma level 0.995",
                           "Air Temperature: 1200km smoothing combined")

y1 <- retrieve.nc("prmsl.an.mean.nc",v.nam="prmsl",silent=TRUE,l.scal=FALSE)
y2 <- retrieve.nc("slp.anmean.nc",v.nam="slp",silent=TRUE,l.scal=FALSE)
Y <- catFields(y1,y2)
eof.slpcomb <- EOF(Y,neofs=40)
attr(eof.slpcomb,'src') <- c("NOAA-CIRES 20th Century Reanalysis version 2 Monthly Averages",
                         "HadSLP2")
attr(eof.slpcomb,'param') <- c("Mean Sea Level Pressure",
                           "Sea Level Pressure")
  

eof.t2m <- ameofs()
eof.T2m <- ameofs(y.rng=c(-90,90))
attr(eof.t2m,'src') <- "NOAA-CIRES 20th Century Reanalysis version 2 Monthly Averages"
attr(eof.t2m,'param') <- "Monthly Air Temperature at sigma level 0.995"
eof.slp <- ameofs("slp.anmean.nc")
attr(eof.slp,'src') <- "HadSLP2"
attr(eof.slp,'param') <- "Sea Level Pressure"
eof.gisstemp <- ameofs("air.2x2.1200.an.anom.comb.nc")
attr(eof.gisstemp,'src') <- "GISS Surface Temperature Analysis (GISTEMP)"
attr(eof.gisstemp,'param') <- "Air Temperature: 1200km smoothing combined"
eof.prmsl <- ameofs("prmsl.an.mean.nc")
attr(eof.prmsl,'src') <- "NOAA-CIRES 20th Century Reanalysis version 2 Monthly Averages"
attr(eof.prmsl,'param') <- "Mean Sea Level Pressure"

save(file="ameofs.rda",eof.T2m,eof.t2m,eof.slp,eof.gisstemp,eof.prmsl,
     eof.t2mcomb,eof.slpcomb)
